6.0.0-git
2019-05-19

[#12591] Kolab driver: Fix searching through folders in getByUid()
Summary Kolab driver: Fix searching through folders in getByUid()
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2013-08-20 (2098 days ago)
Due
Updated 2016-02-09 (1195 days ago)
Assigned 2013-08-23 (2095 days ago)
Resolved 2016-02-09 (1195 days ago)
Milestone
Patch Yes

History
2016-02-09 16:51:23 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
Taken from Jan Schneider
State ⇒ Resolved
Reply to this comment
2016-01-27 17:03:06 Jan Schneider Comment #4 Reply to this comment
Ping
2013-08-23 10:08:12 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
This could be easier (or better) done without the helper method. 
Instead, unset $this->_data when changing $this->_tasklist. 
Alternatively, check if $this->_data was cached for the correct 
$this->_tasklist in _getData().
2013-08-22 20:00:40 Michael Rubinsky Comment #2
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Patch looks good to me but since I'm not as familiar with Kolab as 
Jan, assigning to him to be sure.
2013-08-20 16:26:27 Thomas Jarosch Patch ⇒ Yes
New Attachment: 0001-Kolab-driver-Fix-searching-through-folders-in-getByU.patch Download
 
2013-08-20 16:25:11 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab driver: Fix searching through folders in getByUid()
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
From the patch:

getByUid() was only searching the first tasklist it found.
The intention of the code was to search all tasklists,
but there was no code to change the current folder.

Also restore a sane state when leaving the function.

Bonus points: If the task is found in the first tasklist,
it does not cost any extra performance.

Saved Queries